from events.types.payload import Payload


class RoutineScheduleModified(Payload):
    OPERATION_SET = 'SET'
    OPERATION_DELETED = 'DELETED'

    def __init__(self, child_id: str, routine_id: str, operation: str):
        super().__init__({
            'child_id': child_id,
            'routine_id': routine_id,
            'operation': operation,
        })
